com.independentsoft.exchange

## Enum MailTipType

- java.lang.Object
- - java.lang.Enum<MailTipType>
  - - com.independentsoft.exchange.MailTipType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MailTipType>

      public enum MailTipType
      extends java.lang.Enum<MailTipType>

  Describes the types of mail tips that are supported by the service.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` Represents all available mail tips.
    `CUSTOM_MAIL_TIP` Represents a custom mail tip.
    `DELIVERY_RESTRICTION` Indicates whether delivery restrictions will prevent the sender's message from reaching the recipient.
    `EXTERNAL_MEMBER_COUNT` Represents the count of external members.
    `INVALID_RECIPIENT` Indicates whether the recipient is valid.
    `MAILBOX_FULL_STATUS` Represents the status for a mailbox being full.
    `MAX_MESSAGE_SIZE` Represents the maximum message size a recipient can accept.
    `MODERATION_STATUS` Indicates whether the sender's message will be reviewed by a moderator.
    `OUT_OF_OFFICE_MESSAGE` Represents the Out of Office (OOF)message.
    `TOTAL_MEMBER_COUNT` Represents the count of all members.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MailTipType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MailTipType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final MailTipType ALL

      Represents all available mail tips.

    - #### OUT_OF_OFFICE_MESSAGE

          public static final MailTipType OUT_OF_OFFICE_MESSAGE

      Represents the Out of Office (OOF)message.

    - #### MAILBOX_FULL_STATUS

          public static final MailTipType MAILBOX_FULL_STATUS

      Represents the status for a mailbox being full.

    - #### CUSTOM_MAIL_TIP

          public static final MailTipType CUSTOM_MAIL_TIP

      Represents a custom mail tip.

    - #### EXTERNAL_MEMBER_COUNT

          public static final MailTipType EXTERNAL_MEMBER_COUNT

      Represents the count of external members.

    - #### TOTAL_MEMBER_COUNT

          public static final MailTipType TOTAL_MEMBER_COUNT

      Represents the count of all members.

    - #### MAX_MESSAGE_SIZE

          public static final MailTipType MAX_MESSAGE_SIZE

      Represents the maximum message size a recipient can accept.

    - #### DELIVERY_RESTRICTION

          public static final MailTipType DELIVERY_RESTRICTION

      Indicates whether delivery restrictions will prevent the sender's message from reaching the recipient.

    - #### MODERATION_STATUS

          public static final MailTipType MODERATION_STATUS

      Indicates whether the sender's message will be reviewed by a moderator.

    - #### INVALID_RECIPIENT

          public static final MailTipType INVALID_RECIPIENT

      Indicates whether the recipient is valid.

  - ### Method Detail

    - #### values

          public static MailTipType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MailTipType c : MailTipType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MailTipType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null